@echo off

set WinPath=<<WindowsSystemDir>>
set DbgPath=<<MDKDebugDir>>
set NoDPath=<<MDKNoDebugDir>>

if (%NoDPath%)==(<<MDKNoDebugDir>>) goto ErrorChecking
    rem -----------------------------------
    rem  Display Out of Env. Space Message 
    rem -----------------------------------

    echo:
    echo: Error: Out of Environment Space !!
    echo:
    echo:        Increase the size of your environment using the 
    echo:        '/e' switch on COMMAND.COM.
    echo:
    goto Done

:ErrorChecking
    if (%WinPath%)==() goto NoWinPath
    if (%1)==(N) goto NoDebug
    if (%1)==(D) goto Debug
    goto Usage

:NoWinPath
    rem -----------------------------
    rem  Display Set WinPath Message
    rem -----------------------------

    echo:
    echo: Error: Windows System Path not set !!
    echo:
    echo:	Set the "WinPath" environment variable in
    echo:	%0.BAT to your Windows System Directory.
    echo:	Also make sure you have copied NoDebug DLLs
    echo:	to your NoDebug directory (see readme.txt)
    echo:
    goto Done

:Usage
    rem --------------------------
    rem  Display MMSWITCH.BAT Usage
    rem --------------------------

    echo:
    echo: Usage:
    echo:        %0 {N or D}
    echo:
    echo: where  N = switch to nodebug version of Multimedia Windows
    echo:        D = switch to debug version of Multimedia Windows
    echo:
    echo: NOTE: %0 is normally called by MMN2D & MMD2N -- please use one of these
    echo:
    goto Done

:Debug
    rem ------------------------
    rem   Debug Initialization
    rem ------------------------

    echo Switching to Debug .DLLs and .SYMs
    set NoDPath=
    set ToDir=%DbgPath%
    set DbgPath=
    set From=N
    goto SwitchFiles

:NoDebug
    rem ------------------------
    rem  NoDebug Initialization
    rem ------------------------

    echo Switching to NoDebug .DLLs and .SYMs
    set DbgPath=
    set ToDir=%NoDPath%
    set NoDPath=
    set From=D

:SwitchFiles
    rem ------------------------------------
    rem  Group Loop Variable Initialization
    rem ------------------------------------

    set Grp=MMSYSTEM

:GroupLoop
        rem -----------------------------------
        rem  Type Loop Variable Initialization
        rem -----------------------------------

        set Type=DLL

    :TypeLoop
	    echo     %Grp%.%Type%:

            rem -----------------------------------
            rem  Copy file directly to destination 
            rem -----------------------------------

            echo         %ToDir%\%Grp%.%Type%  to  %WinPath%\%Grp%.%Type%
            copy %ToDir%\%Grp%.%Type% %WinPath%

            rem ----------------------------
            rem  Advance Type Loop Variable
            rem ----------------------------

            if %Type%==SYM goto DoneGroupLoop
            if %Type%==DLL set Type=SYM
            goto TypeLoop

    :DoneGroupLoop
        rem -----------------------------
        rem  Advance Group Loop Variable
        rem -----------------------------

        if %Grp%==MMSYSTEM goto Done
        goto GroupLoop

:Done

set DbgPath=
set From=
set Grp=
set NoDPath=
set ToDir=
set Type=
set WinPath=
